Name:           libglade-java
Version:        2.12.8
Release:        %mkrel 7
Epoch:          0
Summary:        Java bindings for libglade
License:        LGPL
Group:          System/Libraries
URL:            http://java-gnome.sourceforge.net/
Source0:        http://fr2.rpmfind.net/linux/gnome.org/sources/libglade-java/2.12/libglade-java-%{version}.tar.bz2
Source1:        http://fr2.rpmfind.net/linux/gnome.org/sources/libglade-java/2.12/libglade-java-%{version}.changes
Source2:        http://fr2.rpmfind.net/linux/gnome.org/sources/libglade-java/2.12/libglade-java-%{version}.md5sum
Source3:        http://fr2.rpmfind.net/linux/gnome.org/sources/libglade-java/2.12/libglade-java-%{version}.news
Source4:        java-gnome-macros.tar.bz2        
BuildRequires:  java-gcj-compat-devel
BuildRequires:  java-devel >= 0:1.4.2
BuildRequires:  java-rpmbuild
BuildRequires:  libglade2.0-devel
BuildRequires:  libgnome-java-devel >= 0:2.12.7
BuildRequires:  libgtk-java-devel >= 0:2.10.2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
libglade-java is a language binding that allows developers to write
Java applications that use libglade.  It is part of Java-GNOME.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Java
Requires:       %{name} = %{epoch}:%{version}-%{release}
Conflicts:      libglade-java < 2.12.8-2

%description    devel
Development files for %{name}.

%prep
%setup -q
%setup -q -T -D -a 4

%build
export CLASSPATH=
export JAVA=%{java}
export JAVAC=%{javac}
export JAR=%{jar}
export JAVADOC=%{javadoc}
export GCJ=%{gcj}
export CPPFLAGS="-I%{java_home}/include -I%{java_home}/include/linux"
# workaround:
# libtool does not use pic_flag when compiling, so we have to force it. 
export GCJFLAGS="-O2 -fPIC" 
%{configure2_5x} --with-jardir=%{_javadir}
make

# pack up the java source
jarversion=$(echo -n %{version} | cut -d . -f -2)
jarname=$(echo -n %{name} | cut -d - -f 1 | sed "s/lib//")
zipfile=$PWD/$jarname$jarversion-src-%{version}.zip
pushd src/java
%{_bindir}/zip -9 -r $zipfile $(find -name \*.java)
popd

%install
%{__rm} -rf %{buildroot}
%{makeinstall_std}
%{__rm} -rf %{buildroot}/%{name}-%{version}

# install the src.zip and make a sym link
jarversion=$(echo -n %{version} | cut -d . -f -2)
jarname=$(echo -n %{name} | cut -d - -f 1 | sed "s/lib//")
%{__install} -m 644 $jarname$jarversion-src-%{version}.zip $RPM_BUILD_ROOT%{_datadir}/java/
pushd %{buildroot}%{_javadir}
%{__ln_s} $jarname$jarversion-src-%{version}.zip $jarname$jarversion-src.zip
popd

%if %mdkversion < 200900
%post -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -p /sbin/ldconfig
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README
%{_libdir}/libgladejava-*.so
%{_libdir}/libgladejni-*.so
%{_javadir}/*.jar

%files devel
%defattr(-,root,root)
%doc %{_docdir}/%{name}-%{version}
%{_javadir}/*.zip
%{_libdir}/*la
%{_libdir}/pkgconfig/*
%{_libdir}/libgladejava.so
%{_libdir}/libgladejni.so


%changelog
* Sat Oct 31 2009 Frederic Crozat <fcrozat@mandriva.com> 0:2.12.8-7mdv2010.0
+ Revision: 460331
- Fix documentation path

  + Christophe Fergeau <cfergeau@mandriva.com>
    - add similar build fixes as the one made in other gnome-java packages
    - rebuild for new libgcj

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild

* Tue Jul 22 2008 Thierry Vignaud <tvignaud@mandriva.com> 0:2.12.8-5mdv2009.0
+ Revision: 240968
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Anssi Hannula <anssi@mandriva.org>
    - buildrequire java-rpmbuild, i.e. build with icedtea on x86(_64)

* Sun Jul 01 2007 Anssi Hannula <anssi@mandriva.org> 0:2.12.8-2mdv2008.0
+ Revision: 46764
- fix group
- remove requires that are handled automatically
- buildrequires java-compat-devel for correct gcj
- use %%gcj
- move .so, .la, pkgconfig, api docs to -devel package


* Wed Jan 10 2007 David Walluck <walluck@mandriva.org> 2.12.8-1mdv2007.0
+ Revision: 107260
- cleanup
- 2.12.8

* Wed Dec 13 2006 David Walluck <walluck@mandriva.org> 0:2.12.7-1mdv2007.1
+ Revision: 96116
- 2.12.7

* Sat Oct 21 2006 David Walluck <walluck@mandriva.org> 0:2.12.6-3mdv2007.1
+ Revision: 71471
- bump libgnome-java requirement
- spec cleanup
- 2.12.6
- Import libglade-java

* Tue Aug 15 2006 David Walluck <walluck@mandriva.org> 0:2.12.5-3mdv2007.0
- update versioned requirements

* Wed Aug 09 2006 David Walluck <walluck@mandriva.org> 0:2.12.5-2mdv2007.0
- fix libtool

* Tue Aug 08 2006 David Walluck <walluck@mandriva.org> 0:2.12.5-1mdv2007.0
- 2.12.5

* Mon Jun 05 2006 David Walluck <walluck@mandriva.org> 0:2.12.4-1mdv2007.0
- 2.12.4

* Sat Apr 22 2006 David Walluck <walluck@mandriva.org> 0:2.12.3-1mdk
- 2.12.3

* Wed Feb 08 2006 David Walluck <walluck@mandriva.org> 0:2.12.2-1mdk
- 2.12.2

* Wed Jan 11 2006 David Walluck <walluck@mandriva.org> 0:2.12.1-1mdk
- 2.12.1

* Wed Oct 26 2005 David Walluck <walluck@mandriva.org> 0:2.12.0-1mdk
- 2.12.0

* Sun Sep 11 2005 David Walluck <walluck@mandriva.org> 0:2.10.1-1mdk
- release

* Sat May 21 2005 Ben Konrath <bkonrath@redhat.com> - 2.10.1-5
- Fix permissions of src.zip.

* Fri May 20 2005 Ben Konrath <bkonrath@redhat.com> - 2.10.1-4
- Add compressed java source to devel package.

* Tue Apr 26 2005 Andrew Overholt <overholt@redhat.com> 2.10.1-3
- Back out patch added in 2.10.1-2 (unnecessary).

* Sun Apr 24 2005 Andrew Overholt <overholt@redhat.com> 2.10.1-2
- Add patch to fix NoSuchFieldError (Ismael Juma).

* Wed Apr 13 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.10.1-1
- Import libglade-java 2.10.1.

* Sun Apr 03 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.10.0-1
- Import libglade-java 2.10.0.

* Fri Mar 04 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.9.92-1
- Import libglade-java 2.9.92.

* Sat Feb 12 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.9.91.1-1
- Import libglade-java 2.9.91.1.

* Tue Feb 08 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.9.91-3
- Work around libtool, gcj, -D_FORTIFY_SOURCE=2, rpmbuild problem.

* Tue Feb 08 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.9.91-2
- Only build on i386 and x86_64.

* Tue Feb 08 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.9.91-1
- Import libglade-java 2.9.91.

* Fri Feb 04 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.9.90-1
- Import libglade-java 2.9.90.

* Mon Dec 13 2004 Ben Konrath <bkonrath@redhat.com> 2.8.2-2
- Add signal-connect.patch to fix upstream bug
  (http://bugzilla.gnome.org/show_bug.cgi?id=161190)

* Sat Nov 27 2004 Ben Konrath <bkonrath@redhat.com> 2.8.2-1
- Update sources

* Tue Nov 02 2004 Thomas Fitzsimmons <fitzsim@redhat.com> 2.8.1-2
- Require libgnome-java and libgtk-java for build.

* Mon Nov 01 2004 Thomas Fitzsimmons <fitzsim@redhat.com> 2.8.1-1
- Initial release.

